/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLImageElement_H___INT_
#define __GdomHTMLImageElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLImageElement.h"
G_BEGIN_DECLS
class GDOMHTMLImageElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_IMAGE_ELEMENT; }
    GDOMHTMLImageElement(PassRefPtr<WebCore::HTMLImageElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLImageElement_H___INT_*/
